classification
Title: Backport Travis configuration
Type: Stage: resolved
Components: Versions: Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: 29528 Superseder:
Assigned To: brett.cannon Nosy List: brett.cannon, inada.naoki, ncoghlan
Priority: normal Keywords:

Created on 2017-02-10 23:59 by brett.cannon, last changed 2017-02-20 10:21 by inada.naoki. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 25 merged inada.naoki, 2017-02-15 03:15
PR 26 merged inada.naoki, 2017-02-19 05:13
PR 27 merged inada.naoki, 2017-02-19 16:41
Messages (5)
msg287576 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2017-02-10 23:59
Once the Travis config stabilizes then it should be backported to all active branches.
msg287627 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2017-02-11 23:38
https://github.com/python/core-workflow/issues/19 should be decided upon before backporting anything.
msg288104 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2017-02-19 05:12
New changeset 3337d33a4518f7ab8a7ab6c9a75b8b92ba348b27 by Nick Coghlan in branch '3.6':
[backport to 3.6] bpo-29529: Add .travis.yml to 3.6 branch (#25)
https://github.com/python/cpython/commit/3337d33a4518f7ab8a7ab6c9a75b8b92ba348b27
msg288106 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2017-02-19 05:13
New changeset 24bfe15e83c24bf2c2e2654050da809553789002 by Nick Coghlan in branch '3.5':
[backport to 3.5] bpo-29529: Add .travis.yml to 3.5 branch (#26)
https://github.com/python/cpython/commit/24bfe15e83c24bf2c2e2654050da809553789002
msg288173 - (view) Author: INADA Naoki (inada.naoki) * (Python committer) Date: 2017-02-20 00:44
New changeset 98604c7683f41f04c633935bb582399c50db838c by GitHub in branch '2.7':
bpo-29529: Add .travis.yml to 2.7 branch (GH-27)
https://github.com/python/cpython/commit/98604c7683f41f04c633935bb582399c50db838c
History
Date User Action Args
2017-02-20 10:21:23inada.naokisetstatus: open -> closed
resolution: fixed
stage: resolved
2017-02-20 00:44:55inada.naokisetmessages: + msg288173
2017-02-19 16:41:47inada.naokisetpull_requests: + pull_request144
2017-02-19 05:13:04ncoghlansetmessages: + msg288106
2017-02-19 05:13:03inada.naokisetpull_requests: + pull_request129
2017-02-19 05:12:02ncoghlansetnosy: + ncoghlan
messages: + msg288104
2017-02-15 03:15:42inada.naokisetpull_requests: + pull_request68
2017-02-11 23:38:11brett.cannonsetnosy: + inada.naoki
messages: + msg287627
2017-02-10 23:59:24brett.cannonsetdependencies: + Encrypt IRC channel details for Travis
2017-02-10 23:59:00brett.cannoncreate